package com.ruoyi.project.configuration.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.configuration.domain.TDevice;

/**
 * 设备管理Mapper接口
 * 
 * @author ruoyi
 * @date 2021-12-23
 */
public interface TDeviceMapper 
{
    /**
     * 查询设备管理
     * 
     * @param id 设备管理ID
     * @return 设备管理
     */
    public TDevice selectTDeviceById(Long id);

    /**
     * 查询设备管理列表
     * 
     * @param tDevice 设备管理
     * @return 设备管理集合
     */
    @DataScope(deptAlias = "d")
    public List<TDevice> selectTDeviceList(TDevice tDevice);

    /**
     * 新增设备管理
     * 
     * @param tDevice 设备管理
     * @return 结果
     */
    public int insertTDevice(TDevice tDevice);

    /**
     * 修改设备管理
     * 
     * @param tDevice 设备管理
     * @return 结果
     */
    public int updateTDevice(TDevice tDevice);

    /**
     * 删除设备管理
     * 
     * @param id 设备管理ID
     * @return 结果
     */
    public int deleteTDeviceById(Long id);

    /**
     * 批量删除设备管理
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTDeviceByIds(Long[] ids);
}
